---
- hosts: grupo
  become: yes
  remote_user: azureuser
  tasks:
  - name: Installing Nginx
    apt:
      name: nginx
      state: latest
      update_cache: yes

  - name: Enable nginx on boot
    service:
      name: nginx
      enabled: yes

  - name: Start nginx
    service:
      name: nginx
      state: started

  - name: Copy index.html to servers
    copy:
      src: index.html
      dest: /var/www/html/index.html
    notify: Restart Nginx #chama o danhler pois os handlers nao startam automaticamente

  handlers:
  - name: Restart Nginx
    service:
      name: nginx
      state: restarted
